Bug 112927 - gnome-terminal shift-arrow-up/down missing
gnome-terminal shift-arrow-up/down missing
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gnome-terminal (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-05 20:01 EST by walton
Modified: 2007-04-18 13:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-31 15:38:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description walton 2004-01-05 20:01:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)
Gecko/20030225

Description of problem:
In RedHat 7.2 the terminal emulator (I may have used kde and kconsole)
had one line scrolling keys, shift-arrow-up and shift-arrow-down, that
I found EXTREMELY useful.  It also had shift-page-up/down that were
very useful. 
 
In RedHat 9 the terminal emulator (gnome-terminal) has
shift-page-up/down but does not have shift-arrow-up/down. 

I cannot find the parameter file or control mechanism that contains
the key mapping defining shift-page-up/down.  Redhat tech support
seems to think this does not exist (see service request 279367).
 
Is there a way to define shift-arrow-up/down to scroll one line? 
Redhat tech support thinks there is none. 
 
The shift-arrow-up/down keys are so useful they should be added. 
Ability to change these key bindings is not strictly necessary but
should be added.

Version-Release number of selected component (if applicable):
gnome-terminal-2.2.1-3

How reproducible:
Always

Steps to Reproduce:
1. Run gnome-terminal
2. Press shift-page-up/down (page scroll happens)
3. Press shift-arrow-up/down (nothing good happens)
    

Additional info:
Comment 1 Havoc Pennington 2004-01-05 21:50:52 EST
Sounds fair, the only possible issue is whether shift+arrow is already
used to mean something else in any interesting contexts. I can't think
of anything.

This bug needs to be filed on bugzilla.gnome.org as well, we would
generally make this change in a gnome.org context and then inherit it
in a GNOME release.
Comment 2 walton 2004-01-10 08:51:59 EST
Bug has been filed with bugzilla.gnome.org (bug number 131090).
Comment 3 Ray Strode [halfline] 2005-05-12 11:52:55 EDT
Hi,
I'm going through bugs assigned to me and attempting to clean some of the older,
fixed ones up.

This bug hasn't changed in over a year old now.  Are you still seeing the problem? 

(This a batch message is being sent to all my bugs that haven't changed in a year)
Comment 4 Ray Strode [halfline] 2005-05-31 15:38:09 EDT
Hi,

This bug has been in the NEEDINFO state for at least a couple of weeks now.  I'm
going to close the bug, but if you can provide the required information feel
free to open a new report.

Thanks.

(This is a mass message being sent to a bunch of bug reports)

Note You need to log in before you can comment on or make changes to this bug.